package cofh.thermal.expansion.client.gui.machine;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.core.client.gui.IGuiAccess;
import cofh.core.client.gui.element.ElementBase;
import cofh.core.inventory.container.ContainerCoFH;
import cofh.core.util.helpers.GuiHelper;
import cofh.lib.api.block.entity.ITileCallback;
import cofh.lib.api.control.IReconfigurable;
import cofh.thermal.core.client.gui.ThermalGuiHelper;
import cofh.thermal.expansion.inventory.container.machine.MachineChillerContainer;
import cofh.thermal.lib.block.entity.AugmentableBlockEntity;
import cofh.thermal.lib.client.gui.MachineScreen;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.entity.player.Inventory;

public class MachineChillerScreen extends MachineScreen<MachineChillerContainer> {
  public static final String TEX_PATH = "thermal:textures/gui/container/chiller.png";
  
  public static final ResourceLocation TEXTURE = new ResourceLocation("thermal:textures/gui/container/chiller.png");
  
  public MachineChillerScreen(MachineChillerContainer container, Inventory inv, Component titleIn) {
    super((ContainerCoFH)container, inv, container.tile, titleIn);
    this.texture = TEXTURE;
    this.info = GuiHelper.generatePanelInfo("info.thermal.machine_chiller");
    this.name = "chiller";
  }
  
  public void m_7856_() {
    super.m_7856_();
    addElement((ElementBase)GuiHelper.createInputSlot((IGuiAccess)this, 62, 26, (IReconfigurable)this.tile));
    addElement((ElementBase)GuiHelper.createLargeOutputSlot((IGuiAccess)this, 125, 35, (IReconfigurable)this.tile));
    addElement((ElementBase)GuiHelper.setClearable(GuiHelper.createMediumInputFluidStorage((IGuiAccess)this, 34, 22, this.tile.getTank(0), (IReconfigurable)this.tile), (ITileCallback)this.tile, 0));
    addElement((ElementBase)ThermalGuiHelper.createDefaultFluidProgress((IGuiAccess)this, 88, 35, "cofh_core:textures/gui/elements/progress_arrow_fluid_right.png", (AugmentableBlockEntity)this.tile));
    addElement((ElementBase)ThermalGuiHelper.createDefaultProgress((IGuiAccess)this, 88, 35, "cofh_core:textures/gui/elements/progress_arrow_right.png", (AugmentableBlockEntity)this.tile));
    addElement((ElementBase)ThermalGuiHelper.createDefaultSpeed((IGuiAccess)this, 62, 44, "cofh_core:textures/gui/elements/scale_snowflake.png", (AugmentableBlockEntity)this.tile));
  }
}
